## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-pulsectl-asyncio
Version:        1.2.2
Release:        %{autorelease}
Summary:        Asyncio frontend for the pulsectl Python bindings of libpulse
License:        MIT
URL:            https://github.com/mhthies/pulsectl-asyncio
Source0:        %{pypi_source pulsectl_asyncio}

# https://github.com/mhthies/pulsectl-asyncio/commit/c1e5587bcec8f976580e2291518497388eb88109
Patch:          python-pulsectl-24.12.0.diff

BuildArch:      noarch
# BuildRequires:  /usr/bin/pulseaudio
BuildRequires:  pulseaudio-libs
BuildRequires:  python3-devel

%global _description %{expand:
A Python 3 asyncio interface on top of the pulsectl library for monitoring and
controlling the PulseAudio sound server.}

%description %_description


%package -n python3-pulsectl-asyncio
Summary:        %{summary}

%description -n python3-pulsectl-asyncio %_description


%prep
%autosetup -p1 -n pulsectl_asyncio-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l pulsectl_asyncio


%check
## https://github.com/mhthies/pulsectl-asyncio/issues/15
# touch tests/__init__.py

## These test fail, because they cause the puleseaudio daemon to crash.
## Perhaps this doesn't matter, because users will typically be using
## pipewire-pulse instead.
## https://github.com/mhthies/pulsectl-asyncio/issues/16
# %%{py3_test_envvars} %%{python3} -m unittest discover

%pyproject_check_import


%files -n python3-pulsectl-asyncio -f %{pyproject_files}
%doc README.md


%changelog
## START: Generated by rpmautospec
* Tue Jun 03 2025 Peter Oliver <git@mavit.org.uk> - 1.2.2-4
- Update pulsectl supported version range

* Mon Jun 02 2025 Python Maint <python-maint@redhat.com> - 1.2.2-3
- Rebuilt for Python 3.14

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Mon Dec 02 2024 Peter Oliver <git@mavit.org.uk> - 1.2.2-1
- Initial package.
## END: Generated by rpmautospec
